%global contentdir %{_datadir}/%{name}

Name:           simpleid
Version:        1.0.4
Release:        6%{?dist}
Summary:        A simple, personal OpenID provider written in PHP
Group:          Applications/Internet
License:        GPLv2+
URL:            http://simpleid.sourceforge.net
Source0:        https://sourceforge.net/projects/simpleid/files/simpleid/%{version}/%{name}-%{version}.tar.gz
Source1:        config.php
Source2:        README.fedora
source3:        simpleid.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       php-xml

%description 
Allows you to host your own OpenID provider with minimal requirements.

Features

    * Support for OpenID 1.1 and 2.0
    * Support for Simple Registration Extension 1.0 and 1.1 draft
    * Multiple identities with one installation
    * Flat files only, no database required

%prep
%setup -q -n simpleid

%build

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -d $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}
install -d $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/store
install -d $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/identities
install -d $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/cache
install -d $RPM_BUILD_ROOT%{contentdir}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/

cp -a www/* $RPM_BUILD_ROOT%{contentdir}/
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/config.php
ln -s ../../../../%{_sysconfdir}/%{name}/config.php \
        $RPM_BUILD_ROOT%{contentdir}/config.php

cp %{SOURCE2} README.fedora

cp %{SOURCE3} $RPM_BUILD_ROOT/etc/httpd/conf.d/%{name}.conf 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt COPYING.txt COPYING-xtemplate.txt 
%doc README.txt UPGRADE.txt extensions identities
%doc README.fedora
%dir %{_sysconfdir}/%{name}
%dir %{_localstatedir}/lib/%{name}

%{contentdir}
%config(noreplace) %{_sysconfdir}/%{name}/config.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%attr(770,root,apache)  %dir %{_localstatedir}/lib/%{name}/cache 
%attr(770,root,apache)  %dir %{_localstatedir}/lib/%{name}/store
%attr(750,root,apache)  %dir %{_localstatedir}/lib/%{name}/identities

%changelog
* Sat Jan 18 2025 Fabrice Bellet <fabrice@bellet.info> - 1.0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Sep 03 2024 Fabrice Bellet <fabrice@bellet.info> - 1.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fabrice Bellet <fabrice@bellet.info> - 1.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fabrice Bellet <fabrice@bellet.info> - 1.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jul 23 2023 Fabrice Bellet <fabrice@bellet.info> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fabrice Bellet <fabrice@bellet.info> - 1.0.4-1
- new upstream release

* Wed Jul 27 2022 Fabrice Bellet <fabrice@bellet.info> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jan 29 2022 Fabrice Bellet <fabrice@bellet.info> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jul 24 2021 Fabrice Bellet <fabrice@bellet.info> - 1.0.3-1
- new upstream release

* Fri Jul 23 2021 Fabrice Bellet <fabrice@bellet.info> - 1.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fabrice Bellet <fabrice@bellet.info> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jan 04 2021 Fabrice Bellet <fabrice@bellet.info> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Dec 11 2017 Fabrice Bellet <fabrice@bellet.info> - 1.0.2-1
- new upstream release

* Wed Jul 26 2017 Fabrice Bellet <fabrice@bellet.info> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Feb 22 2016 Fabrice Bellet <fabrice@bellet.info> - 1.0.0-3
- rename configuration file from config.inc to config.php

* Mon Feb 22 2016 Fabrice Bellet <fabrice@bellet.info> - 1.0.0-2
- update apache script

* Mon Feb 22 2016 Fabrice Bellet <fabrice@bellet.info> - 1.0.0-1
- new upstream release

* Sun Jun 21 2015 Fabrice Bellet <fabrice@bellet.info> - 0.9.1-1
- new upstream release

* Sun Jun 21 2015 Fabrice Bellet <fabrice@bellet.info> - 0.8.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Sep 10 2013 Fabrice Bellet <fabrice@bellet.info> - 0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Feb 17 2013 Fabrice Bellet <fabrice@bellet.info> - 0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jun 27 2011 Fabrice Bellet <fabrice@bellet.info> 0.8-1
- new upstream release

* Fri Jan 15 2010 Ismael Olea <ismael@olea.org> 0.7.1-1
- first rpm
